From 6faceb919e6554bd9e6dda0c2a8ee6e532d7ca40 Mon Sep 17 00:00:00 2001
From: Binoy Jayan <bjayan@codeaurora.org>
Date: Mon, 9 Oct 2017 15:23:26 +0530
Subject: [PATCH 2/2] hyp:no-merge: Remove wifi

Change-Id: Ie376f9c3e668fa2f25ee3056727ce9fcef6a922d
---
 compatibility_matrix.xml    | 4 ++--
 wifi/1.0/default/Android.mk | 6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/compatibility_matrix.xml b/compatibility_matrix.xml
index 837a154..130a68d 100644
--- a/compatibility_matrix.xml
+++ b/compatibility_matrix.xml
@@ -303,14 +303,14 @@
             <instance>default</instance>
         </interface>
     </hal>
-    <hal format="hidl" optional="true">
+    <!--hal format="hidl" optional="true">
         <name>android.hardware.wifi</name>
         <version>1.0</version>
         <interface>
             <name>IWifi</name>
             <instance>default</instance>
         </interface>
-    </hal>
+    </hal-->
     <hal format="hidl" optional="true">
         <name>android.hardware.wifi.supplicant</name>
         <version>1.0</version>
diff --git a/wifi/1.0/default/Android.mk b/wifi/1.0/default/Android.mk
index 2564937..cd7c35d 100644
--- a/wifi/1.0/default/Android.mk
+++ b/wifi/1.0/default/Android.mk
@@ -47,5 +47,7 @@ LOCAL_SHARED_LIBRARIES := \
     libutils \
     libwifi-hal \
     libwifi-system
-LOCAL_INIT_RC := android.hardware.wifi@1.0-service.rc
-include $(BUILD_EXECUTABLE)
+ifeq ($(ENABLE_HYP),)
+ LOCAL_INIT_RC := android.hardware.wifi@1.0-service.rc
+ include $(BUILD_EXECUTABLE)
+endif
-- 
1.9.1

